Solution for "Incompatible Windows settings" on BlueStacks 5 when Hyper-V is enabled

Why am I seeing this pop-up and how can I resolve it?

If you come across the following error message after launching BlueStacks 5 on a desktop/laptop, it is because Hyper-V is enabled. You can resolve it by simply updating BlueStacks 5 to the latest version.

Screenshot_3.png

For more details, take a look at the steps below.

  • Open BlueStacks Settings by clicking on the "gear" icon from the Side toolbar.
  • Go to the "About" tab and click on the "Check for updates" button.
  • Select the "Download update" option and the installer file will begin to download.
  • Once it is downloaded, navigate to its location, run the file and click on "Update"
  • BlueStacks 5 will now start the update and launch the latest version upon completion.

NOTE: If you want to learn about what's new in the latest version of BlueStacks 5, you can click on the "More info" button which will direct you to the Release Notes for BlueStacks 5.

ezgif-5-3cb38c233a.gif

Important Information:

➤ If you still want to continue using BlueStacks 5.14 and below, you can resolve this by disabling Hyper-V on Windows.

➤ If you're facing a problem on BlueStacks 5 Nougat 64-bit, Pie 64-bit or Android 11 on version 5.14 or below after updating Windows 11, right-click on the BlueStacks 5 icon and select "Run as administrator".

Thank you for choosing BlueStacks. We hope you enjoy using it. Happy Gaming!

Was this article helpful?
740 out of 1737 found this helpful
Reach out to us on Reddit (Join Reddit) or Discord (Join Discord) or at support@bluestacks.com with your questions.